Subject: Re: Fwd: 3 more broken Zaurii - SL-5600, A300, C700

From: Bagas Sanjaya <[email-masked]>
Date: Thu, 6 Jul 2023 10:08:20 +0700

On 7/5/23 09:09, Bagas Sanjaya wrote:
> Hi,
> 
> I notice a regression report on Bugzilla [1]. Quoting from it:
> 
>> The following patch broke support of 3 more Zaurus models: SL-5600, A300 and C700
>>
>> [16adf5d07987d93675945f3cecf0e33706566005] usbnet: Remove over-broad module alias from zaurus
>>
>> dmesg and lsusb output attached.
> 
> Because the description above was vague, I asked the clarification.
> The reporter replied:
> 
>> The problem is that networking to SL-5600 / A300 / C700 devices does not 
>> work. I cannot ping the devices.
>>
>> The error is occurring in zaurus.c. dmesg is missing the following line:
>>
>> zaurus 2-2:1.0 usb0: register 'zaurus' at usb-0000:00:1d.0-2, 
>> pseudo-MDLM (BLAN) device, 2a:01:39:93:bc:1a
>>
>> A patch was created in 2022 to fix the same problem with the SL-6000:
>>
>> USB: zaurus: support another broken Zaurus - 
>> [6605cc67ca18b9d583eb96e18a20f5f4e726103c]
>>
>> Could you please create another patch for the 3 devices: SL-5600 / A300 
>> / C700?
> 
> See Bugzilla for the full thread and attached dmesg and lsusb.
> 
> Dave: The reporter asked to write the quirk for affected devices.
> Would you like to create it?
> 

Thorsten: Email to the culprit author (Dave) bounced. What can
I do in this case? Should I start adding get_maintainer.pl output?

-- 
An old man doll... just what I always wanted! - Clara